Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.pb.service
Class IllegalStateException

    java.lang.Object
      WpsException
          com.ibm.wps.pb.service.PropertyBrokerServiceException
              com.ibm.wps.pb.service.IllegalStateException

Deprecated. since 6.0.1 Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public class IllegalStateException

extends PropertyBrokerServiceException

Thrown by methods implemented by `PropertyBrokerService` to indicate that a method was invoked when the portlet was in an invalid state, for example, in the render phase when it is required to be in the event phase. Portlets must only catch this exception and not throw it.

Since:
  5.0
See Also:
  `PropertyBrokerService`

Constructor Summary
`IllegalStateException(MessageCode code)` Deprecated.
`IllegalStateException(MessageCode code, java.lang.Object[] args)` Deprecated.
`IllegalStateException(MessageCode code, java.lang.Object[] args, java.lang.Throwable t)` Deprecated.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IllegalStateException

    public IllegalStateException(MessageCode code)

  Deprecated.

### IllegalStateException

    public IllegalStateException(MessageCode code,
                                 java.lang.Object[] args)

  Deprecated.

### IllegalStateException

    public IllegalStateException(MessageCode code,
                                 java.lang.Object[] args,
                                 java.lang.Throwable t)

  Deprecated.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD